# Remove-RASVDIPersistentHost.md

## NAME

Remove-RASVDIPersistentHost

## SYNOPSIS

Removes a persistent host VM rule.

## SYNTAX

\*\*Remove-RASVDIPersistentHost \[[ProviderId](#providerid-string)] *(uint)* \[[VDIHostId](#vdihostid-string)] *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASVDIPersistentHost \[-[InputObject](#inputobject)] *(*[*VDIPersistentHost*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdipersistenthost.md)*)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a persistent host VM rule.

## PARAMETERS

## ProviderId (uint)

The ID of the Provider server on which the target Persistent Host resides.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VDIHostId (string)

The VDI Host ID of a persistent host VM.

To obtain the VDI Host ID, use the Get-RASVDIPersistentHost cmdlet.

```
        Required?                    true

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([VDIPersistentHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdipersistenthost.md)) An object of type VDIPersistentHost representing a persistent host VM rule to remove from a site.

To obtain the object, use the Get-RASVDIPersistentHost command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[VDIPersistentHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdipersistenthost.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASVDIPersistentHost -ProviderId 5 -VDIHostId "362738C5-CB7B-4D0E-AB21-C75C6723EE88"

Removes the persistent host VM rule specified by ID. To obtain the ID, use the Get-RASVDIPersistentHost cmdlet.

## RELATED LINKS

* [Set-RASVDIPersistentHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasvdipersistenthost.md)
* [Get-RASVDIPersistentHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdipersistenthost.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasvdipersistenthost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
